<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/speechtotext.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">speechtotext.cpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="speechtotext_8cpp.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;../deskhelper/include/speechtotext.h&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a7dcc82fb7a806f18e85b5fb25dfd51b6">   17</a></span>&#160;<a class="code" href="classSpeechToText.html#a7dcc82fb7a806f18e85b5fb25dfd51b6">SpeechToText::SpeechToText</a>(QString shortcutAppActivation)</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160; </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <a class="code" href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">m_manager</a> = <span class="keyword">new</span> QNetworkAccessManager(); <span class="comment">// Инициализация классов для отправки запроса и записи звука</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a> = <span class="keyword">new</span> QAudioRecorder();</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <a class="code" href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">isRunning</a> = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <a class="code" href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">evenClick</a> = <span class="keyword">true</span>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#ifdef Q_OS_WIN //Прописывание параметров диктофона для разных ОС</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <a class="code" href="classSpeechToText.html#a2204efd8d13a01cec7be8851b1ccfa2f">container</a> = <span class="stringliteral">&quot;&quot;</span>; <span class="comment">// audio/x-wav</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setCodec(<span class="stringliteral">&quot;&quot;</span>); <span class="comment">// audio/pcm</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setSampleRate(0); <span class="comment">// 0</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setBitRate(0); <span class="comment">// 32000</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setChannelCount(1); <span class="comment">// 1</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setQuality(QMultimedia::EncodingQuality(16000));</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setEncodingMode(QMultimedia::ConstantQualityEncoding);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">    #ifdef Q_OS_LINUX</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classSpeechToText.html#a2204efd8d13a01cec7be8851b1ccfa2f">container</a> = <span class="stringliteral">&quot;audio/x-wav&quot;</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setCodec(<span class="stringliteral">&quot;audio/x-mulaw&quot;</span>);</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setSampleRate(0);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setBitRate(32000);</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setChannelCount(1);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setQuality(QMultimedia::EncodingQuality(16000));</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>.setEncodingMode(QMultimedia::ConstantBitRateEncoding);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">    #endif</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="comment">// другая ОС не поддерживается</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    connect( <a class="code" href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">m_manager</a>, SIGNAL( finished( QNetworkReply* ) ), SLOT( <a class="code" href="classSpeechToText.html#a97fbacf2d3372f45cf660fdb54179969">onResponse</a>( QNetworkReply* ) ) );<span class="comment">// Вызов принимающей функции после ответа от сервера</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    connect(<a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>, QOverload&lt;QMediaRecorder::Error&gt;::of(&amp;QAudioRecorder::error), <span class="keyword">this</span>,</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            &amp;<a class="code" href="classSpeechToText.html#a38620f08fd7b791a8c11981078a50f08">SpeechToText::displayErrorMessage</a>);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>* qxtshortcut = <span class="keyword">new</span> <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>(QKeySequence(<span class="stringliteral">&quot;Ctrl+Alt+S&quot;</span>));</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <a class="code" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">pshortcutAppActivation</a> = <span class="keyword">new</span> <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>(QKeySequence(shortcutAppActivation));</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    connect(qxtshortcut, &amp;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a>, [=]() {</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        emit <a class="code" href="classSpeechToText.html#a7aec6cb4873f91240accce2d91fe7cb8">changeRecording</a>();</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    });</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    connect(<a class="code" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">pshortcutAppActivation</a>, &amp;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a>, [=]() {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        emit <a class="code" href="classSpeechToText.html#a6f1e0eeb5ffc8c69c3812731101f899b">showApp</a>();</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    });</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="comment">//setGlobalShortcuts(list);</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;}</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a558c2eeb8807794c1e5d0d5625081568">   63</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a558c2eeb8807794c1e5d0d5625081568">SpeechToText::setShortcutAppActivation</a>(QString shortcut)</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;{</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    disconnect(<a class="code" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">pshortcutAppActivation</a>, &amp;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a>, <span class="keyword">nullptr</span>, <span class="keyword">nullptr</span>);</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keyword">delete</span> <a class="code" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">pshortcutAppActivation</a>;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <a class="code" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">pshortcutAppActivation</a> = <span class="keyword">new</span> <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>(QKeySequence(shortcut));</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    connect(<a class="code" href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">pshortcutAppActivation</a>, &amp;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a>, [=]() {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        emit <a class="code" href="classSpeechToText.html#a6f1e0eeb5ffc8c69c3812731101f899b">showApp</a>();</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    });</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;}</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classSpeechToText.html#af84e76fd3b6d25aa78bced149534ddb1">   77</a></span>&#160;QString <a class="code" href="classSpeechToText.html#af84e76fd3b6d25aa78bced149534ddb1">SpeechToText::getGlobalShortcut</a>()</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;{</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSpeechToText.html#af8634298d973c78749e829a7baa73385">rezultShortcut</a>;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;}</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">   86</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">SpeechToText::setGlobalShortcuts</a>(QStringList list)</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;{</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>)</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    {</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        <span class="keywordflow">for</span> (<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a> = 0; <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a> &lt; <a class="code" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">shortcutsCount</a>; <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>++)</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        {</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            disconnect(<a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>[<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>], &amp;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a>, <span class="keyword">nullptr</span>, <span class="keyword">nullptr</span>);</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <span class="keyword">delete</span> <a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>[<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>];</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            qDebug() &lt;&lt; <span class="stringliteral">&quot;delete&quot;</span>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        }</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        <span class="keyword">delete</span> <a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    }</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    qDebug() &lt;&lt; list.length();</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <a class="code" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">shortcutsCount</a> = list.length();</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a> = <span class="keyword">new</span> <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>*[<a class="code" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">shortcutsCount</a>];</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordflow">for</span> (<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a> = 0; <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a> &lt; <a class="code" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">shortcutsCount</a>; <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>++)</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    {</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        qDebug() &lt;&lt; list.at(<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>);</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>[<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>] = <span class="keyword">new</span> <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>(QKeySequence(list.at(<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>)));</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        qDebug() &lt;&lt; <span class="stringliteral">&quot;add&quot;</span>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    }</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="comment">//qxtshortcut-&gt;setShortcut(QKeySequence(tr(&quot;Ctrl+X&quot;)));</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160; </div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keywordflow">for</span> (<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a> = 0; <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a> &lt; <a class="code" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">shortcutsCount</a>; <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>++)</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    {</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        <a class="code" href="classSpeechToText.html#a24ec688737a6330b6ebe536a7ac511ef">connectShortcuts</a>(<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>);</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    }</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;}</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div>
<div class="line"><a name="l00123"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a24ec688737a6330b6ebe536a7ac511ef">  123</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a24ec688737a6330b6ebe536a7ac511ef">SpeechToText::connectShortcuts</a>(<span class="keywordtype">int</span> j)</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;{</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    connect(<a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>[j], &amp;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a>, [=]() {</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        <a class="code" href="classSpeechToText.html#af8634298d973c78749e829a7baa73385">rezultShortcut</a> = <a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>[j]-&gt;<a class="code" href="classQxtGlobalShortcut.html#a0960dc6bbc7d3d102d0bf80c3aac7f14">shortcut</a>().toString();</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        qDebug() &lt;&lt; <a class="code" href="classSpeechToText.html#af8634298d973c78749e829a7baa73385">rezultShortcut</a>;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        emit <a class="code" href="classSpeechToText.html#ac9450c0516f614c94bedceed8c4f9c1c">processGlobalShortcut</a>();</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    });</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;}</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160; </div>
<div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="classSpeechToText.html#ad2107b90fc1fbd1390ea8bdb673f2c62">  137</a></span>&#160;<a class="code" href="classSpeechToText.html#ad2107b90fc1fbd1390ea8bdb673f2c62">SpeechToText::~SpeechToText</a>()</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;{</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="keyword">delete</span> <a class="code" href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">m_manager</a>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <span class="keyword">delete</span> <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>)</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    {</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <span class="keywordflow">for</span> (<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a> = 0; <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a> &lt; <a class="code" href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">shortcutsCount</a>; <a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>++)</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;        {</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;            disconnect(<a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>[<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>], &amp;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a>, <span class="keyword">nullptr</span>, <span class="keyword">nullptr</span>);</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;            <span class="keyword">delete</span> <a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>[<a class="code" href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">i</a>];</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;            qDebug() &lt;&lt; <span class="stringliteral">&quot;delete&quot;</span>;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        }</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        <span class="keyword">delete</span> <a class="code" href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">qxtshortcuts</a>;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    }</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;}</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160; </div>
<div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="classSpeechToText.html#ab7d53c8bd732b919b1f656bba671a177">  158</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#ab7d53c8bd732b919b1f656bba671a177">SpeechToText::onSend</a>()</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;{</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160; </div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    QByteArray key = <span class="stringliteral">&quot;GI4OPK3YOIVIEND4PJINDS6HMMZXAFUC&quot;</span>;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    QUrl url(<span class="stringliteral">&quot;https://api.wit.ai/speech?v=20170307&quot;</span>);</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160; </div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    QNetworkRequest request(url);</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    request.setRawHeader(<span class="stringliteral">&quot;Authorization&quot;</span>, <span class="stringliteral">&quot;Bearer &quot;</span> + key);</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    request.setRawHeader(<span class="stringliteral">&quot;Content-Type&quot;</span>, <span class="stringliteral">&quot;audio/wav&quot;</span>);</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160; </div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160; </div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    QFile file(<a class="code" href="classSpeechToText.html#a7ba9651888188291d71f9825e48ddf85">pathAudioFile</a>); <span class="comment">// Открытие файла со звуком для последующего преобразования в набор байт</span></div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    file.open(QIODevice::ReadOnly);</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    QByteArray data = file.readAll();</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160; </div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160; </div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <a class="code" href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">m_manager</a>-&gt;post(request,data);<span class="comment">// Отправка POST запроса</span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;}</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160; </div>
<div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a97fbacf2d3372f45cf660fdb54179969">  184</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a97fbacf2d3372f45cf660fdb54179969">SpeechToText::onResponse</a>(QNetworkReply* reply)</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;{</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160; </div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    <a class="code" href="classSpeechToText.html#ad2f186985edf1a2b9b2937ec9e4417db">rezultText</a> = QJsonDocument::fromJson(reply-&gt;readAll()).<span class="keywordtype">object</span>().value(<span class="stringliteral">&quot;_text&quot;</span>).toString();</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160; </div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    emit <a class="code" href="classSpeechToText.html#a5055d9f2e676cde9ea05af004ad1a8d8">sendTexttoMainClass</a>();</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160; </div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;}</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160; </div>
<div class="line"><a name="l00198"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a2ace36d39102b3737b5683e8fa1f4ef1">  198</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a2ace36d39102b3737b5683e8fa1f4ef1">SpeechToText::toggleRecord</a>()</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;{</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    <a class="code" href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">isRunning</a> = <span class="keyword">true</span>;</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    <a class="code" href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">evenClick</a> = (<a class="code" href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">evenClick</a>) ? <span class="keyword">false</span> : <span class="keyword">true</span>;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160; </div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    <a class="code" href="classSpeechToText.html#a7ba9651888188291d71f9825e48ddf85">pathAudioFile</a> = QDir::currentPath() + <span class="stringliteral">&quot;/sample.wav&quot;</span>;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160; </div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <span class="keywordflow">if</span> (<a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;state() == QMediaRecorder::StoppedState) {</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160; </div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;<span class="preprocessor">#ifdef Q_OS_WIN // Настройка диктофона для разных ОС</span></div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;        <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;setAudioInput(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;        <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;setAudioInput(<span class="stringliteral">&quot;default:&quot;</span>);</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;        <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;setEncodingSettings(<a class="code" href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">settings</a>, QVideoEncoderSettings(), <a class="code" href="classSpeechToText.html#a2204efd8d13a01cec7be8851b1ccfa2f">container</a>);</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;        <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;setOutputLocation(QUrl::fromLocalFile(<a class="code" href="classSpeechToText.html#a7ba9651888188291d71f9825e48ddf85">pathAudioFile</a>));</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160; </div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;        <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;record(); <span class="comment">// Начало записи звука с микрофона</span></div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160; </div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160; </div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    }</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160; </div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;        <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;stop();<span class="comment">// Остановка записи звука с микрофона</span></div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;        emit <a class="code" href="classSpeechToText.html#a6e1f04d25cb6f41d641fe33a27677fbf">secondClick</a>();</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        <a class="code" href="classSpeechToText.html#ab7d53c8bd732b919b1f656bba671a177">onSend</a>(); <span class="comment">// Отправка полученного звука</span></div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;                 <span class="comment">// При остановке записи происходит вызов функции отправки POST запроса</span></div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    }</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;}</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160; </div>
<div class="line"><a name="l00232"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a3ae748e2dd51de6647efbe473ead89ad">  232</a></span>&#160;QString <a class="code" href="classSpeechToText.html#a3ae748e2dd51de6647efbe473ead89ad">SpeechToText::getRezult</a>()</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;{</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classSpeechToText.html#ad2f186985edf1a2b9b2937ec9e4417db">rezultText</a>;</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;}</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160; </div>
<div class="line"><a name="l00245"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a1a7d44b123206bc930d42a7728182c5d">  245</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a1a7d44b123206bc930d42a7728182c5d">SpeechToText::setRunning</a>(<span class="keywordtype">bool</span> flag)</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;{</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;        <a class="code" href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">isRunning</a> = flag;</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;}</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160; </div>
<div class="line"><a name="l00254"></a><span class="lineno"><a class="line" href="classSpeechToText.html#abe8dd0a977665149460edf79f5b73f07">  254</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#abe8dd0a977665149460edf79f5b73f07">SpeechToText::getRunning</a>()</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;{</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">isRunning</a>;</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;}</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160; </div>
<div class="line"><a name="l00262"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a38620f08fd7b791a8c11981078a50f08">  262</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classSpeechToText.html#a38620f08fd7b791a8c11981078a50f08">SpeechToText::displayErrorMessage</a>()</div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;{</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;    qDebug() &lt;&lt; <span class="stringliteral">&quot;Error:&quot;</span> &lt;&lt; <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;errorString();</div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;    <a class="code" href="classSpeechToText.html#ad3719dff2f8874a8e488bb0e688483a0">errorText</a> = <a class="code" href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">m_audioRecorder</a>-&gt;errorString();</div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;    emit <a class="code" href="classSpeechToText.html#a94bbabf92223dc66efb0fd3193beac22">recordError</a>();</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;}</div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160; </div>
<div class="line"><a name="l00273"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a31c4540c2bcc711058c537dde38cd939">  273</a></span>&#160;QString <a class="code" href="classSpeechToText.html#a31c4540c2bcc711058c537dde38cd939">SpeechToText::getErrorText</a>()</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;{</div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSpeechToText.html#ad3719dff2f8874a8e488bb0e688483a0">errorText</a>;</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;}</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160; </div>
<div class="line"><a name="l00282"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a9a7be580e62423d4e65d46129068be6f">  282</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#a9a7be580e62423d4e65d46129068be6f">SpeechToText::isInternetAccess</a>()</div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;{</div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;    QProcess qp;</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;<span class="preprocessor">#ifdef Q_OS_WIN</span></div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;    <span class="keywordtype">int</span> exitCode = qp.execute(<span class="stringliteral">&quot;ping -n 1 198.41.0.4&quot;</span>);</div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;    <span class="keywordtype">int</span> exitCode = qp.execute(<span class="stringliteral">&quot;ping -c 1 198.41.0.4&quot;</span>);</div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;    <span class="keywordflow">if</span> (exitCode==0) {</div>
<div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    } <span class="keywordflow">else</span> {</div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    }</div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;}</div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160; </div>
<div class="line"><a name="l00303"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a051603b94d7d28c38c2724dd53ec8c44">  303</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#a051603b94d7d28c38c2724dd53ec8c44">SpeechToText::getEvenClick</a>()</div>
<div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;{</div>
<div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">evenClick</a>;</div>
<div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;}</div>
<div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160; </div>
<div class="line"><a name="l00313"></a><span class="lineno"><a class="line" href="classSpeechToText.html#a7aec13c63bc8b76ab8f246ce5558042b">  313</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#a7aec13c63bc8b76ab8f246ce5558042b">SpeechToText::evecuteAction</a>(QString action)</div>
<div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;{</div>
<div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;    QProcess qp;</div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160; </div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;<span class="preprocessor">#ifdef Q_OS_WIN</span></div>
<div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;    qp.start(<span class="stringliteral">&quot;cmd /C &quot;</span> + action);</div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160; </div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;    <span class="keywordflow">if</span>(qp.waitForStarted()){</div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;        qDebug() &lt;&lt; <span class="stringliteral">&quot;Starting&quot;</span>;</div>
<div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;    }</div>
<div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;    qp.waitForFinished(-1);</div>
<div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;        qDebug() &lt;&lt; <span class="stringliteral">&quot;finish&quot;</span>;</div>
<div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;    <span class="comment">//qp.setProgram(action);</span></div>
<div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;    qp.start(action);</div>
<div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;    <span class="comment">//qp.waitForBytesWritten();</span></div>
<div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;    <span class="keywordflow">if</span> (!qp.waitForFinished(1)) {</div>
<div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;    <span class="comment">//qp.kill();</span></div>
<div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;    qp.waitForFinished(-1);</div>
<div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;    }</div>
<div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160; </div>
<div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160; </div>
<div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;    <span class="comment">/*int exitCode = qp.execute(action);</span></div>
<div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;<span class="comment">    if (exit Code==0)</span></div>
<div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;<span class="comment">    return true;*/</span></div>
<div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;}</div>
<div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160; </div>
<div class="line"><a name="l00347"></a><span class="lineno"><a class="line" href="classSpeechToText.html#ab5d3987757b5d47adf1ff3698ce98ce2">  347</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classSpeechToText.html#ab5d3987757b5d47adf1ff3698ce98ce2">SpeechToText::isWin</a>()</div>
<div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;{</div>
<div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;<span class="preprocessor">#ifdef Q_OS_WIN</span></div>
<div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;   <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;   <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;}</div>
<div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160; </div>
<div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassSpeechToText_html_a70d2981717529d8bdcd564822dfde839"><div class="ttname"><a href="classSpeechToText.html#a70d2981717529d8bdcd564822dfde839">SpeechToText::i</a></div><div class="ttdeci">int i</div><div class="ttdoc">Счетчик</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00084">speechtotext.h:84</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a5055d9f2e676cde9ea05af004ad1a8d8"><div class="ttname"><a href="classSpeechToText.html#a5055d9f2e676cde9ea05af004ad1a8d8">SpeechToText::sendTexttoMainClass</a></div><div class="ttdeci">void sendTexttoMainClass()</div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html"><div class="ttname"><a href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a></div><div class="ttdoc">The QxtGlobalShortcut class provides a global shortcut aka &quot;hotkey&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8h_source.html#l00038">qxtglobalshortcut.h:38</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a97fbacf2d3372f45cf660fdb54179969"><div class="ttname"><a href="classSpeechToText.html#a97fbacf2d3372f45cf660fdb54179969">SpeechToText::onResponse</a></div><div class="ttdeci">void onResponse(QNetworkReply *reply)</div><div class="ttdoc">Получение ответа от сервера</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00184">speechtotext.cpp:184</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a2ace36d39102b3737b5683e8fa1f4ef1"><div class="ttname"><a href="classSpeechToText.html#a2ace36d39102b3737b5683e8fa1f4ef1">SpeechToText::toggleRecord</a></div><div class="ttdeci">void toggleRecord()</div><div class="ttdoc">Запись звука</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00198">speechtotext.cpp:198</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_a0960dc6bbc7d3d102d0bf80c3aac7f14"><div class="ttname"><a href="classQxtGlobalShortcut.html#a0960dc6bbc7d3d102d0bf80c3aac7f14">QxtGlobalShortcut::shortcut</a></div><div class="ttdeci">QKeySequence shortcut</div><div class="ttdoc">the shortcut key sequence</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8h_source.html#l00043">qxtglobalshortcut.h:43</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_af84e76fd3b6d25aa78bced149534ddb1"><div class="ttname"><a href="classSpeechToText.html#af84e76fd3b6d25aa78bced149534ddb1">SpeechToText::getGlobalShortcut</a></div><div class="ttdeci">QString getGlobalShortcut()</div><div class="ttdoc">Получение текстового представления нажатого сочетания клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00077">speechtotext.cpp:77</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a94bbabf92223dc66efb0fd3193beac22"><div class="ttname"><a href="classSpeechToText.html#a94bbabf92223dc66efb0fd3193beac22">SpeechToText::recordError</a></div><div class="ttdeci">void recordError()</div></div>
<div class="ttc" id="aclassSpeechToText_html_ad1dd99f1ef3c7d132ae790f64df97394"><div class="ttname"><a href="classSpeechToText.html#ad1dd99f1ef3c7d132ae790f64df97394">SpeechToText::m_manager</a></div><div class="ttdeci">QNetworkAccessManager * m_manager</div><div class="ttdoc">Указатель на экземпляр класса QNetworkAccessManager для отправки POST-запроса и приема ответа</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00059">speechtotext.h:59</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a7aec6cb4873f91240accce2d91fe7cb8"><div class="ttname"><a href="classSpeechToText.html#a7aec6cb4873f91240accce2d91fe7cb8">SpeechToText::changeRecording</a></div><div class="ttdeci">void changeRecording()</div></div>
<div class="ttc" id="aclassSpeechToText_html_a7dcc82fb7a806f18e85b5fb25dfd51b6"><div class="ttname"><a href="classSpeechToText.html#a7dcc82fb7a806f18e85b5fb25dfd51b6">SpeechToText::SpeechToText</a></div><div class="ttdeci">SpeechToText(QString shortcutAppActivation)</div><div class="ttdoc">Конструктор класса SpeechToText.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00017">speechtotext.cpp:17</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a7ba9651888188291d71f9825e48ddf85"><div class="ttname"><a href="classSpeechToText.html#a7ba9651888188291d71f9825e48ddf85">SpeechToText::pathAudioFile</a></div><div class="ttdeci">QString pathAudioFile</div><div class="ttdoc">Путь до аудиофайла</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00067">speechtotext.h:67</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_af2028342adc6bb316ddb74efc2e28913"><div class="ttname"><a href="classSpeechToText.html#af2028342adc6bb316ddb74efc2e28913">SpeechToText::setGlobalShortcuts</a></div><div class="ttdeci">void setGlobalShortcuts(QStringList list)</div><div class="ttdoc">Инициализация сочетаний клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00086">speechtotext.cpp:86</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ab7d53c8bd732b919b1f656bba671a177"><div class="ttname"><a href="classSpeechToText.html#ab7d53c8bd732b919b1f656bba671a177">SpeechToText::onSend</a></div><div class="ttdeci">void onSend()</div><div class="ttdoc">Отправка POST запроса на сервер wit.ai.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00158">speechtotext.cpp:158</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a38620f08fd7b791a8c11981078a50f08"><div class="ttname"><a href="classSpeechToText.html#a38620f08fd7b791a8c11981078a50f08">SpeechToText::displayErrorMessage</a></div><div class="ttdeci">void displayErrorMessage()</div><div class="ttdoc">Вывод сообщения об ошибках в терминале, отправка сигнала ошибки</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00262">speechtotext.cpp:262</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a6f1e0eeb5ffc8c69c3812731101f899b"><div class="ttname"><a href="classSpeechToText.html#a6f1e0eeb5ffc8c69c3812731101f899b">SpeechToText::showApp</a></div><div class="ttdeci">void showApp()</div></div>
<div class="ttc" id="aclassSpeechToText_html_a558c2eeb8807794c1e5d0d5625081568"><div class="ttname"><a href="classSpeechToText.html#a558c2eeb8807794c1e5d0d5625081568">SpeechToText::setShortcutAppActivation</a></div><div class="ttdeci">void setShortcutAppActivation(QString shortcut)</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00063">speechtotext.cpp:63</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a42a088137190323efcaf001315afdbed"><div class="ttname"><a href="classSpeechToText.html#a42a088137190323efcaf001315afdbed">SpeechToText::m_audioRecorder</a></div><div class="ttdeci">QAudioRecorder * m_audioRecorder</div><div class="ttdoc">Указатель на экземпляр класса QAudioRecorder для записи аудио</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00061">speechtotext.h:61</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ad3719dff2f8874a8e488bb0e688483a0"><div class="ttname"><a href="classSpeechToText.html#ad3719dff2f8874a8e488bb0e688483a0">SpeechToText::errorText</a></div><div class="ttdeci">QString errorText</div><div class="ttdoc">Текст ошибки</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00071">speechtotext.h:71</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a90c1801d5f5f85e521597f76f8446774"><div class="ttname"><a href="classSpeechToText.html#a90c1801d5f5f85e521597f76f8446774">SpeechToText::evenClick</a></div><div class="ttdeci">bool evenClick</div><div class="ttdoc">Флаг, указывающий, была ли нажата кнопка записи голоса</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00088">speechtotext.h:88</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a707593f61b4d2bdee03f93cb3869ba46"><div class="ttname"><a href="classSpeechToText.html#a707593f61b4d2bdee03f93cb3869ba46">SpeechToText::isRunning</a></div><div class="ttdeci">bool isRunning</div><div class="ttdoc">Флаг, указывающий на то, происходит ли запись голоса</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00086">speechtotext.h:86</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a99b4668f6d3e3847a7fdbf288eb40312"><div class="ttname"><a href="classSpeechToText.html#a99b4668f6d3e3847a7fdbf288eb40312">SpeechToText::settings</a></div><div class="ttdeci">QAudioEncoderSettings settings</div><div class="ttdoc">Экземпляр класса QAudioEncoderSettings для хранения данных об аудио-формате</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00063">speechtotext.h:63</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a24ec688737a6330b6ebe536a7ac511ef"><div class="ttname"><a href="classSpeechToText.html#a24ec688737a6330b6ebe536a7ac511ef">SpeechToText::connectShortcuts</a></div><div class="ttdeci">void connectShortcuts(int j)</div><div class="ttdoc">Соединение сочетаний клавиш (QxtGlobalShortcut) с объектом</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00123">speechtotext.cpp:123</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a1a7d44b123206bc930d42a7728182c5d"><div class="ttname"><a href="classSpeechToText.html#a1a7d44b123206bc930d42a7728182c5d">SpeechToText::setRunning</a></div><div class="ttdeci">void setRunning(bool flag)</div><div class="ttdoc">Изменение флага работы над записью/ожиданием записи</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00245">speechtotext.cpp:245</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a9a7be580e62423d4e65d46129068be6f"><div class="ttname"><a href="classSpeechToText.html#a9a7be580e62423d4e65d46129068be6f">SpeechToText::isInternetAccess</a></div><div class="ttdeci">bool isInternetAccess()</div><div class="ttdoc">Проверка подключения к интернету</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00282">speechtotext.cpp:282</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_af8634298d973c78749e829a7baa73385"><div class="ttname"><a href="classSpeechToText.html#af8634298d973c78749e829a7baa73385">SpeechToText::rezultShortcut</a></div><div class="ttdeci">QString rezultShortcut</div><div class="ttdoc">Полученное сочетание клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00076">speechtotext.h:76</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a2204efd8d13a01cec7be8851b1ccfa2f"><div class="ttname"><a href="classSpeechToText.html#a2204efd8d13a01cec7be8851b1ccfa2f">SpeechToText::container</a></div><div class="ttdeci">QString container</div><div class="ttdoc">Аудиоформат</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00065">speechtotext.h:65</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ad2107b90fc1fbd1390ea8bdb673f2c62"><div class="ttname"><a href="classSpeechToText.html#ad2107b90fc1fbd1390ea8bdb673f2c62">SpeechToText::~SpeechToText</a></div><div class="ttdeci">~SpeechToText()</div><div class="ttdoc">Деструктор класса SpeechToText.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00137">speechtotext.cpp:137</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ab5d3987757b5d47adf1ff3698ce98ce2"><div class="ttname"><a href="classSpeechToText.html#ab5d3987757b5d47adf1ff3698ce98ce2">SpeechToText::isWin</a></div><div class="ttdeci">bool isWin()</div><div class="ttdoc">Проверка на ОС Windows.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00347">speechtotext.cpp:347</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_ad2f186985edf1a2b9b2937ec9e4417db"><div class="ttname"><a href="classSpeechToText.html#ad2f186985edf1a2b9b2937ec9e4417db">SpeechToText::rezultText</a></div><div class="ttdeci">QString rezultText</div><div class="ttdoc">Результат приема ответа от сервера</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00069">speechtotext.h:69</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a6e1f04d25cb6f41d641fe33a27677fbf"><div class="ttname"><a href="classSpeechToText.html#a6e1f04d25cb6f41d641fe33a27677fbf">SpeechToText::secondClick</a></div><div class="ttdeci">void secondClick()</div></div>
<div class="ttc" id="aclassSpeechToText_html_a3ae748e2dd51de6647efbe473ead89ad"><div class="ttname"><a href="classSpeechToText.html#a3ae748e2dd51de6647efbe473ead89ad">SpeechToText::getRezult</a></div><div class="ttdeci">QString getRezult()</div><div class="ttdoc">Получение результата запроса</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00232">speechtotext.cpp:232</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_ae5048554f63055a79bc708e231cb8818"><div class="ttname"><a href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a></div><div class="ttdeci">void activated()</div></div>
<div class="ttc" id="aclassSpeechToText_html_ac9450c0516f614c94bedceed8c4f9c1c"><div class="ttname"><a href="classSpeechToText.html#ac9450c0516f614c94bedceed8c4f9c1c">SpeechToText::processGlobalShortcut</a></div><div class="ttdeci">void processGlobalShortcut()</div></div>
<div class="ttc" id="aclassSpeechToText_html_a7aec13c63bc8b76ab8f246ce5558042b"><div class="ttname"><a href="classSpeechToText.html#a7aec13c63bc8b76ab8f246ce5558042b">SpeechToText::evecuteAction</a></div><div class="ttdeci">bool evecuteAction(QString action)</div><div class="ttdoc">Выполнение действия (открытие приложений и тд)</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00313">speechtotext.cpp:313</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a31c4540c2bcc711058c537dde38cd939"><div class="ttname"><a href="classSpeechToText.html#a31c4540c2bcc711058c537dde38cd939">SpeechToText::getErrorText</a></div><div class="ttdeci">QString getErrorText()</div><div class="ttdoc">Получить текст ошибки</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00273">speechtotext.cpp:273</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a027a769027e8ec106c104bd28c558d3d"><div class="ttname"><a href="classSpeechToText.html#a027a769027e8ec106c104bd28c558d3d">SpeechToText::pshortcutAppActivation</a></div><div class="ttdeci">QxtGlobalShortcut * pshortcutAppActivation</div><div class="ttdoc">Ууказатель на глобальный ShortCut для активации приложения</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00080">speechtotext.h:80</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_abe8dd0a977665149460edf79f5b73f07"><div class="ttname"><a href="classSpeechToText.html#abe8dd0a977665149460edf79f5b73f07">SpeechToText::getRunning</a></div><div class="ttdeci">bool getRunning()</div><div class="ttdoc">Получение текущего состояния преобразующего процесса</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00254">speechtotext.cpp:254</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a3e831a7c13132569e7ba1dea8283100e"><div class="ttname"><a href="classSpeechToText.html#a3e831a7c13132569e7ba1dea8283100e">SpeechToText::qxtshortcuts</a></div><div class="ttdeci">QxtGlobalShortcut ** qxtshortcuts</div><div class="ttdoc">Динамический массив указателей на глобальные ShortCut.</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00078">speechtotext.h:78</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a051603b94d7d28c38c2724dd53ec8c44"><div class="ttname"><a href="classSpeechToText.html#a051603b94d7d28c38c2724dd53ec8c44">SpeechToText::getEvenClick</a></div><div class="ttdeci">bool getEvenClick()</div><div class="ttdoc">Получение четности клика</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8cpp_source.html#l00303">speechtotext.cpp:303</a></div></div>
<div class="ttc" id="aclassSpeechToText_html_a4291fb3df9288ad11b3e4ec6143422da"><div class="ttname"><a href="classSpeechToText.html#a4291fb3df9288ad11b3e4ec6143422da">SpeechToText::shortcutsCount</a></div><div class="ttdeci">int shortcutsCount</div><div class="ttdoc">Кол-во сочетаний клавиш</div><div class="ttdef"><b>Definition:</b> <a href="speechtotext_8h_source.html#l00082">speechtotext.h:82</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
